ExCSS-Core 4.0.5

Suggested Alternatives

ExCSS

Additional Details

Tyler brinks has now updated ExCSS for .NET Core/ .NET 5+ (see https://github.com/HockeyJustin/ExCSS_Core/issues/16). This package is no longer required. Please update to ExCSS for all the latest updates.

dotnet add package ExCSS-Core --version 4.0.5
NuGet\Install-Package ExCSS-Core -Version 4.0.5
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="ExCSS-Core" Version="4.0.5" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add ExCSS-Core --version 4.0.5
#r "nuget: ExCSS-Core, 4.0.5"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install ExCSS-Core as a Cake Addin
#addin nuget:?package=ExCSS-Core&version=4.0.5

// Install ExCSS-Core as a Cake Tool
#tool nuget:?package=ExCSS-Core&version=4.0.5

This is now deprecated. Please use ExCSS

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 was computed.  netcoreapp3.0 was computed.  netcoreapp3.1 was computed. 
.NET Standard netstandard2.0 is compatible.  netstandard2.1 was computed. 
.NET Framework net461 was computed.  net462 was computed.  net463 was computed.  net47 was computed.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen40 was computed.  tizen60 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.
  • .NETStandard 2.0

    • No dependencies.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on ExCSS-Core:

Package Downloads
VL.UI.Core

The VL UI core library.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
4.0.5 58,997 4/22/2020
4.0.4 11,504 12/9/2019
4.0.3 21,664 7/9/2019
4.0.2 3,414 12/12/2018
4.0.1 639 12/12/2018
4.0.0 728 11/27/2018

4.0.5 - PR included for better SVG handling
4.0.4 - MIT Licence Added. No code changes.
4.0.3 - Merge pull request for better handling of important properties.
4.0.2 - Metadata update only.
4.0.1 - StyleRules made easier to access.
4.0.0 - Fork of ExCss, udpated to .NET Standard and numerous methods/properties made public to make it usable in the real world.